

# ValidateAssessmentReportIntegrity


**Important**  
 AWS Audit Manager will no longer be open to new customers starting April 30, 2026. If you would like to use Audit Manager, sign up prior to that date. Existing customers can continue to use the service as normal. For more information, see [AWS Audit Manager availability change](https://docs.aws.amazon.com/audit-manager/latest/userguide/audit-manager-availability-change.html).

 Validates the integrity of an assessment report in AWS Audit Manager. 

## Request Syntax


```
POST /assessmentReports/integrity HTTP/1.1
Content-type: application/json

{
   "s3RelativePath": "string"
}
```

## URI Request Parameters


The request does not use any URI parameters.

## Request Body


The request accepts the following data in JSON format.

 ** [s3RelativePath](#API_ValidateAssessmentReportIntegrity_RequestSyntax) **   <a name="auditmanager-ValidateAssessmentReportIntegrity-request-s3RelativePath"></a>
 The relative path of the Amazon S3 bucket that the assessment report is stored in.   
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 1024.  
Pattern: `^(S|s)3:\/\/[a-zA-Z0-9\-\.\(\)\'\*\_\!\=\+\@\:\s\,\?\/]+$`   
Required: Yes

## Response Syntax


```
HTTP/1.1 200
Content-type: application/json

{
   "signatureAlgorithm": "string",
   "signatureDateTime": "string",
   "signatureKeyId": "string",
   "signatureValid": boolean,
   "validationErrors": [ "string" ]
}
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [signatureAlgorithm](#API_ValidateAssessmentReportIntegrity_ResponseSyntax) **   <a name="auditmanager-ValidateAssessmentReportIntegrity-response-signatureAlgorithm"></a>
 The signature algorithm that's used to code sign the assessment report file.   
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 2048.  
Pattern: `.*` 

 ** [signatureDateTime](#API_ValidateAssessmentReportIntegrity_ResponseSyntax) **   <a name="auditmanager-ValidateAssessmentReportIntegrity-response-signatureDateTime"></a>
 The date and time signature that specifies when the assessment report was created.   
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 2048.  
Pattern: `.*` 

 ** [signatureKeyId](#API_ValidateAssessmentReportIntegrity_ResponseSyntax) **   <a name="auditmanager-ValidateAssessmentReportIntegrity-response-signatureKeyId"></a>
 The unique identifier for the validation signature key.   
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 2048.  
Pattern: `.*` 

 ** [signatureValid](#API_ValidateAssessmentReportIntegrity_ResponseSyntax) **   <a name="auditmanager-ValidateAssessmentReportIntegrity-response-signatureValid"></a>
 Specifies whether the signature key is valid.   
Type: Boolean

 ** [validationErrors](#API_ValidateAssessmentReportIntegrity_ResponseSyntax) **   <a name="auditmanager-ValidateAssessmentReportIntegrity-response-validationErrors"></a>
 Represents any errors that occurred when validating the assessment report.   
Type: Array of strings  
Length Constraints: Minimum length of 1. Maximum length of 2048.  
Pattern: `.*\S.*` 

## Errors


For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
 Your account isn't registered with AWS Audit Manager. Check the delegated administrator setup on the Audit Manager settings page, and try again.   
HTTP Status Code: 403

 ** InternalServerException **   
 An internal service error occurred during the processing of your request. Try again later.   
HTTP Status Code: 500

 ** ResourceNotFoundException **   
 The resource that's specified in the request can't be found.     
 ** resourceId **   
 The unique identifier for the resource.   
 ** resourceType **   
 The type of resource that's affected by the error. 
HTTP Status Code: 404

 ** ValidationException **   
 The request has invalid or missing parameters.     
 ** fields **   
 The fields that caused the error, if applicable.   
 ** reason **   
 The reason the request failed validation. 
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/auditmanager-2017-07-25/ValidateAssessmentReportIntegrity) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/auditmanager-2017-07-25/ValidateAssessmentReportIntegrity) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/auditmanager-2017-07-25/ValidateAssessmentReportIntegrity) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/auditmanager-2017-07-25/ValidateAssessmentReportIntegrity) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/auditmanager-2017-07-25/ValidateAssessmentReportIntegrity) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/auditmanager-2017-07-25/ValidateAssessmentReportIntegrity) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/auditmanager-2017-07-25/ValidateAssessmentReportIntegrity) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/auditmanager-2017-07-25/ValidateAssessmentReportIntegrity) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/auditmanager-2017-07-25/ValidateAssessmentReportIntegrity) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/auditmanager-2017-07-25/ValidateAssessmentReportIntegrity) 